# $Revision: 1.2 $, $Date: 2002/10/23 14:35:36 $
Summary:	UCD SNMP specific plugins for NetSaint/Nagios
Summary(pl):	Wtyczki dla NetSaint/Nagios dla agentw UCD SNMP
Name:		netsaint-snmp-plugins
Version:	0.2
Release:	3
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.hometree.net/pub/netsaint-snmp-plugins/%{name}-%{version}.tar.gz
Patch0:		%{name}.patch
BuildRequires:	ucd-snmp-devel >= 4.2.6
Requires:	netsaint
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are two plugins to be used with NetSaint or Nagios. You also
need the UCD SNMP Daemon in a reasonable new version.

%description -l pl
Pakiet zawiera dwie wtyczki, dziki ktrym NetSaint/Nagios potrafi
pobiera informacje z urzdze, ktrych agenci SNMP s zgodni z UCD SNMP.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/netsaint/plugins

install check_snmp_disk $RPM_BUILD_ROOT%{_libdir}/netsaint/plugins
install check_snmp_proc $RPM_BUILD_ROOT%{_libdir}/netsaint/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/netsaint/plugins/check_snmp_disk
%attr(755,root,root) %{_libdir}/netsaint/plugins/check_snmp_proc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: netsaint-snmp-plugins.spec,v $
Revision 1.2  2002/10/23 14:35:36  ankry
- release 3

Revision 1.1  2002/10/23 13:39:25  ankry
- spec renamed (netsaint-plugins-snmp -> netsaint-snmp-plugins)

Revision 1.6  2002/10/19 10:54:20  kloczek
- release 2: rebuild against ucd-snmp 4.2.6.

Revision 1.5  2002/06/14 11:38:48  kloczek
- cosmetics.

Revision 1.4  2002/06/14 11:09:55  qboosh
- use %%{__make} macro and optflags

Revision 1.3  2002/06/11 16:17:35  orzech
- added BR: ucd-snmp-devel, Req: netsaint

Revision 1.2  2002/06/11 16:14:07  orzech
- now works

Revision 1.1  2002/06/11 14:08:40  orzech
- new

* Sun Jan 27 2002 Henning P. Schmiedehausen <hps@intermeta.de> 0.1-1t
- initial release
